.product-detail-container {
    max-width: 1400px;
    width: 100%;
    margin: 0 auto;
}

.product-detail-product-page {
    padding: 80px 0 30px 0;
}

.product-detail-product-main {
    display: flex;
    gap: 40px;
    flex-wrap: wrap;
    background: #fff;
    padding: 30px 0;
    border-radius: 8px;
    margin-bottom: 30px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.03);
}

.product-detail-product-left{
    display: flex;flex-direction: column;flex: 1;min-width: 300px;
}

.product-detail-product-gallery {
    flex: 1;
    min-width: 300px;
}


.slider {
    width: 100%;
    position: relative;
    overflow: hidden;
    margin-bottom: 20px;
    touch-action: pan-y;
}


.swiper-slide {
    width: 100%;
    display: flex;
    align-items: center;
    opacity: 0 !important;
    transition: opacity 0.8s ease !important;
    height: 400px;
    border: 1px solid var(--border-color);
    padding: 15px;
    border-radius: 8px;
    overflow: hidden;
}

.swiper-slide img {
    width: 100%;
    height: 380px;
    object-fit: contain;
}

.swiper-slide-active {
    opacity: 1 !important;
}

.swiper-button-prev,
.swiper-button-next {
    width: 40px;
    height: 40px;
    background: rgba(0, 0, 0, 0.3);
    border-radius: 50%;
    color: #fff;
    transition: background 0.3s;
}

.swiper-button-prev:hover,
.swiper-button-next:hover {
    background: rgba(0, 0, 0, 0.6);
}

.swiper-button-prev:after,
.swiper-button-next:after {
    font-size: 18px;
}

.swiper-pagination {
    bottom: 30px !important;
    display: flex !important;
    justify-content: center;
    gap: 8px;
}

.swiper-pagination-bullet {
    width: 50px !important;
    height: 4px !important;
    border-radius: 2px !important;
    background: #fff !important;
    transition: all 0.3s ease !important;
    opacity: 1 !important;
}

.swiper-pagination-bullet-active {
    width: 60px !important;
    background: var(--secondary-color) !important;
}



.product-detail-main-img {
    width: 100%;
    height: 400px;
    object-fit: contain;
    border-radius: 8px;
    border: 1px solid var(--border-color);
    margin-bottom: 15px;
}

.product-detail-thumb-img-list {
    display: flex;
    gap: 10px;
    overflow-x: auto;
    padding-bottom: 10px;
}

.product-detail-thumb-img {
    width: 80px;
    height: 80px;
    object-fit: cover;
    border-radius: 4px;
    border: 1px solid var(--border-color);
    cursor: pointer;
    transition: border-color 0.3s;
}

.product-detail-thumb-img:hover,
.product-detail-thumb-img.active {
    border-color: var(--secondary-color);
}

.product-detail-product-info {
    flex: 1;
    min-width: 300px;
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.product-detail-product-title {
    font-size: 32px;
    color: var(--title-color);
    line-height: 1.2;
    font-weight: 700;
    margin: 0;
    border-bottom: 2px solid var(--secondary-color);
    padding-bottom: 15px;
}

.product-detail-key-attributes {
    background-color: #f9f9f9;
    padding: 20px;
    border-radius: 8px;
    border: 1px solid var(--border-color);
}

.product-detail-attr-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 18px;
}

.product-detail-attr-item {
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.product-detail-attr-label {
    font-size: 14px;
    color: var(--text-color);
    font-weight: 600;
    /*text-transform: uppercase;*/
    letter-spacing: 0.5px;
}

.product-detail-attr-value {
    font-size: 16px;
    color: var(--title-color);
    font-weight: 500;
}

.nozzle-rfq-btn {
    padding: 12px 24px;
    background-color: var(--secondary-color);
    color: #fff;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    font-size: 16px;
    font-weight: 600;
    transition: all 0.3s ease;
    display: inline-flex;
    align-items: center;
    gap: 8px;
    height: 50px;
    width: 100%;
    justify-content: center;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
}

.nozzle-rfq-btn:hover {
    background-color: var(--secondary-hover-color);
    transform: translateY(-2px);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.product-detail-product-short-info {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
}

.product-detail-info-item {
    display: flex;
    align-items: flex-start;
    gap: 12px;
    padding: 15px;
    background-color: #f9f9f9;
    border-radius: 8px;
    border: 1px solid var(--border-color);
    transition: transform 0.3s ease;
}


.product-detail-info-icon {
    color: var(--secondary-color);
    font-size: 22px;
    margin-top: 2px;
    flex-shrink: 0;
}

.product-detail-info-text .product-detail-info-item-title {
    color: var(--title-color);
    font-size: 16px;
    margin-bottom: 6px;
    font-weight: 600;
}

.product-detail-info-text p {
    font-size: 14px;
    color: var(--text-color);
    line-height: 1.5;
}

.product-detail-product-details {
    background: #fff;
    border-radius: 8px;
    padding: 40px 0;
    line-height: 1.5;
}

.product-detail-product-details h1 {
    font-size: 28px;
    color: var(--title-color);
    margin-bottom: 15px;
    font-weight: 700;
    border-bottom: 2px solid var(--secondary-color);
    display: inline-block;
    width: 100%;
    padding-bottom: 10px;
}

.product-detail-product-details h2 {
    font-size: 22px;
    margin: 15px 0;
    font-weight: 600;
    color: var(--primary-color);
    padding-bottom: 8px;
    position: relative;
}

.product-detail-product-details h2::after {
    content: "";
    position: absolute;
    width: 45px;
    height: 2px;
    background: var(--secondary-hover-color);
    left: 0;
    bottom: 0;
    transition: width 0.3s ease;

}


.product-detail-product-details p {
    font-size: 16px;
    color: var(--text-color);
    margin-bottom: 10px;
    text-align: justify;
}

.product-detail-product-details strong {
    color: var(--title-color);
    font-weight: 600;
}

.product-detail-product-details em {
    color: var(--text-color);
    opacity: 0.8;
}

.product-detail-product-details ul,
.product-detail-product-details ol {
    margin: 15px 0;
    list-style: none;
}

.product-detail-product-details ul li,
.product-detail-product-details ol li {
    position: relative;
    padding-left: 15px;
}


.product-detail-product-details ol li::before {
    content: "";
    position: absolute;
    left: 0;
    top: 12px;
    width: 10px;
    height: 2px;
    background: var(--primary-color);
}

.product-detail-product-details ul li::before {
    content: "";
    position: absolute;
    left: 0;
    top: 10px;
    width: 6px;
    height: 6px;
    background: var(--text-color);
    border-radius: 50%;
}

.product-detail-product-details li {
    font-size: 16px;
    color: var(--text-color);
    margin-bottom: 10px;
    list-style: none;

}

.product-detail-product-details hr {
    border: none;
    border-top: 1px solid var(--border-color);
    margin: 30px 0;
}

.product-detail-product-details blockquote {
    background-color: #f9f9f9;
    border-left: 4px solid var(--secondary-color);
    padding: 15px 20px;
    border-radius: 0 6px 6px 0;
    margin: 20px 0;
}

.product-detail-product-details blockquote p {
    margin-bottom: 0;
    font-style: italic;
}

.product-detail-product-details table {
    width: 100%;
    border-collapse: collapse;
    margin: 20px 0 30px;
    border-radius: 5px;
    overflow: hidden;
}

.product-detail-product-details th,
.product-detail-product-details td {
    padding: 10px 15px;
    border: 1px solid var(--border-color);
    text-align: left;
    font-size: 15px;
}

.product-detail-product-details th {
    background-color: var(--text-color);
    color: #fff;
    font-weight: 600;
    letter-spacing: 0.5px;
    font-size: 14px;
}

.product-detail-product-details tr:nth-child(even) {
    background-color: #f9f9f9;
}

.product-detail-product-details tr:hover {
    background-color: #f0f4f9;
    transition: background-color 0.2s ease;
}